Package edu.wisc.game.sql

## Enum PlayerInfo.Transition

- java.lang.Object
- - java.lang.Enum<PlayerInfo.Transition>
  - - edu.wisc.game.sql.PlayerInfo.Transition

- All Implemented Interfaces:
    `Serializable`, `Comparable<PlayerInfo.Transition>`
  Enclosing class:
    PlayerInfo

      public static enum PlayerInfo.Transition
      extends Enum<PlayerInfo.Transition>

  Where can we go from here?

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BONUS` | A bonus episode in the same series
    `END` | End the interaction with the system, as the player has at least sampled all param sets, and has completed (or given up on) all of them
    `MAIN` | A main-subseries episode in the same series
    `NEXT` | Start next series (that is, a new param set, with new rules)

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PlayerInfo.Transition` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static PlayerInfo.Transition[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MAIN

          public static final PlayerInfo.Transition MAIN

      A main-subseries episode in the same series

    - #### BONUS

          public static final PlayerInfo.Transition BONUS

      A bonus episode in the same series

    - #### NEXT

          public static final PlayerInfo.Transition NEXT

      Start next series (that is, a new param set, with new rules)

    - #### END

          public static final PlayerInfo.Transition END

      End the interaction with the system, as the player has at least sampled all param sets, and has completed (or given up on) all of them

  - ### Method Detail

    - #### values

          public static PlayerInfo.Transition[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PlayerInfo.Transition c : PlayerInfo.Transition.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PlayerInfo.Transition valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null